package com.madeu.controller.mobile.mobilehospital;

import com.madeu.constants.Constants;
import com.madeu.init.ManagerDraftAction;
import com.madeu.service.mobile.mobileevent.MobileEventService;
import com.madeu.service.mobile.mobilehospital.MobileHospitalService;
import com.madeu.util.HttpUtil;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;
import jakarta.servlet.http.HttpSession;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

import java.util.HashMap;

@Slf4j
@Controller

public class MobileHospitalController extends ManagerDraftAction {
    @Autowired
    private MobileHospitalService mobileHospitalService;

    /**
     * 병원 운영시간 조회
     *
     * @param request
     * @param response
     * @return
     */
    @RequestMapping(value = "/mobilehospital/selectHospitalWorkTime.do")
    public ModelAndView selectHospitalWorkTime(HttpSession session, HttpServletRequest request, HttpServletResponse response) {

        log.debug("MobileEventController selectHospitalWorkTime START");

        HashMap<String, Object> paramMap = HttpUtil.getParameterMap(request);
        HashMap<String, Object> map = new HashMap<String, Object>();

        try{
            if(!mobileCheckLogin(session)){
                return null;
            }
            else{
                paramMap.put("loginUserId", String.valueOf(session.getAttribute("loginUserId")));
                map = mobileHospitalService.selectHospitalWorkTime(paramMap);
            }
        }
        catch (Exception e) {
            e.printStackTrace();
            return null;
        }
        finally {
            if(Constants.OK == map.get("msgCode")) {

            }
            else{
                map.put("msgCode", Constants.FAIL);
                map.put("success", false);
                if(null == map.get("msgDesc") || ("").equals(map.get("msgDesc"))) {
                    map.put("msgDesc","정상적으로 수행되지 않았습니다. 관리자에게 문의하시기 바랍니다.");
                }
            }
        }
        log.debug("MobileHospitalController selectHospitalWorkTime END");
        return HttpUtil.makeHashToJsonModelAndView(map);
    }
}
